Authentication

Resend verification email (no auth)

Sends a new verification email to the given email (and optional project). For unauthenticated users who have not verified yet. Rate limited (e.g. 3 per 15 min per IP).

AuthPublic
GroupAuthentication
Rate limitSee Rate Limits
POST/api/auth/resend-verification

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);
import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await authentication.resendVerificationAuth(
  {
    email: "fleta34@northwind.dev",
    projectId: "proj_pGnwnti0tyEZ"
  }
);
const { data: result } = await authentication.resendVerificationAuth(
  {
    email: "fleta34@northwind.dev",
    projectId: "proj_pGnwnti0tyEZ"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Request Body

json
{
  "email": "amari_koss69@northwind.dev",
  "projectId": "proj_qh5hFHNT70YZ"
}
{
  "email": "amari_koss69@northwind.dev",
  "projectId": "proj_qh5hFHNT70YZ"
}

Responses

200Verification email sent (or generic message to prevent enumeration)
json
{
  "message": "If an account exists and is unverified, a verification email has been sent"
}
{
  "message": "If an account exists and is unverified, a verification email has been sent"
}
400Email required
429Too many requests (rate limit)

Errors

CodeMeaning
400Email required
429Too many requests (rate limit)
Edit this page on GitHub